- Qt 5.15
- Qt Sensors
- C++ Classes
- QAccelerometerFilter
- Qt 5.15.11 Reference Documentation

# QAccelerometerFilter Class

The QAccelerometerFilter class is a convenience wrapper around QSensorFilter. More...

Header: | #include <QAccelerometerFilter>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensorFilter

This class was introduced in Qt 5.1.

- List of all members, including inherited members

## Public Functions

virtual bool | filter(QAccelerometerReading *reading) = 0

## Detailed Description

The only difference is that the filter() method features a pointer to QAccelerometerReading instead of QSensorReading.

## Member Function Documentation

### `[pure virtual]` bool QAccelerometerFilter::filter(QAccelerometerReading *reading)

Called when reading changes. Returns false to prevent the reading from propagating.

See also QSensorFilter::filter().